import { Observable } from "rxjs";
import { IToastRef } from "./public-api";
import { ToastContainerService } from "./toast-container.service";
/**
 * Reference to a toast opened via the Toast service.
 * Used to provide toast events hooks
 */
/** @ignore */
export declare class ToastRef<T> implements IToastRef<T> {
    private toastContainerService;
    /** The instance of component opened into the toast. */
    componentInstance: T;
    /** Subject for notifying user, that the toast has finished closing. */
    private readonly afterClosedSubject;
    private readonly activateSubject;
    private readonly manualCloseSubject;
    constructor(toastContainerService: ToastContainerService);
    manualClose(): void;
    manualClosed(): Observable<any>;
    /**
     * Close toast
     */
    close(): void;
    /** Gets an observable that is notified when the toast has finished closing. */
    afterClosed(): Observable<any>;
    isInactive(): boolean;
    activate(): void;
    /** Gets an observable that is notified when the toast has started opening. */
    afterActivate(): Observable<any>;
}
